Bug 607962 - Changing configuration from ipv4 dhcp to ipv4 static in nm-c-e doesn't take effect
Changing configuration from ipv4 dhcp to ipv4 static in nm-c-e doesn't take e...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Dan Williams
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 05:58 EDT by Radek Vykydal
Modified: 2010-06-29 04:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 14:32:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Vykydal 2010-06-25 05:58:47 EDT
NetworkManager-0.8.1-0.3.el6
RHEL6.0-20100531.n.0/6/Server/i386/

[root@dhcp98 ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
HWADDR=00:0C:29:48:39:EF
ONBOOT=yes
BOOTPROTO=dhcp

[root@dhcp98 ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:0C:29:48:39:EF..
          inet addr:10.34.39.98  Bcast:10.34.39.255  Mask:255.255.255.0
          inet6 addr: fe80::20c:29ff:fe48:39ef/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:48948 errors:0 dropped:0 overruns:0 frame:0
          TX packets:47089 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000.
          RX bytes:20316871 (19.3 MiB)  TX bytes:21331867 (20.3 MiB)
          Interrupt:18 Base address:0x1080.


>>>>> Changing eth0 configuration in nm-c-e form Automatic to Manual


[root@dhcp98 ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
HWADDR=00:0C:29:48:39:EF
ONBOOT=yes
BOOTPROTO=none
TYPE=Ethernet
IPADDR=10.34.39.122
PREFIX=24
GATEWAY=10.34.39.254
DEFROUTE=yes
IPV4_FAILURE_FATAL=yes
IPV6INIT=no
NAME="System eth0"
UUID=5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03

[root@dhcp98 ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:0C:29:48:39:EF..
          inet addr:10.34.39.98  Bcast:10.34.39.255  Mask:255.255.255.0
          inet6 addr: fe80::20c:29ff:fe48:39ef/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:48994 errors:0 dropped:0 overruns:0 frame:0
          TX packets:47106 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000.
          RX bytes:20330097 (19.3 MiB)  TX bytes:21335709 (20.3 MiB)
          Interrupt:18 Base address:0x1080.

[root@dhcp98 ~]# tail /var/log/messages
Jun 22 14:15:09 dhcp98 abrt[7117]: saved core dump of pid 7116
(/usr/libexec/fprintd) to /var/spool/abrt/ccpp-1277230509-7116.new/coredump
(610304 bytes)
Jun 22 14:15:09 dhcp98 abrtd: Directory 'ccpp-1277230509-7116' creation
detected
Jun 22 14:15:09 dhcp98 abrtd: Package 'fprintd' isn't signed with proper key
Jun 22 14:15:09 dhcp98 abrtd: Corrupted or bad crash
/var/spool/abrt/ccpp-1277230509-7116 (res:5), deleting
Jun 22 14:15:12 dhcp98 NetworkManager[1189]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-eth0
Jun 22 14:15:12 dhcp98 NetworkManager[1189]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-eth0
Jun 22 14:15:13 dhcp98 NetworkManager[1189]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-eth0
Jun 22 14:15:13 dhcp98 NetworkManager[1189]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-eth0
Comment 1 Radek Vykydal 2010-06-25 06:10:12 EDT
(In reply to comment #0)
> NetworkManager-0.8.1-0.3.el6
> RHEL6.0-20100531.n.0/6/Server/i386/
> 

This is on installed system, but I am seeing it also in anaconda environment with RHEL6.0-20100621.n.0/6/Server/i386/
Comment 3 RHEL Product and Program Management 2010-06-25 06:22:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Dan Williams 2010-06-28 14:32:18 EDT
Just changing the configuration in the ifcfg doesn't make the device change the settings; just like previously with ifup, you need to re-activate the device to get the new settings applied.  This prevents random network dropouts by not applying the settings until you are sure they are correct (and prevents race conditions where NM might half-read the file and apply a configuration before it's ready).

If after re-selecting the device from the menu, or running "ifup eth0" the configuration is not applied, lets re-open and we can track that down.
Comment 5 Radek Vykydal 2010-06-29 04:10:51 EDT
(In reply to comment #4)
> Just changing the configuration in the ifcfg doesn't make the device change the
> settings; just like previously with ifup, you need to re-activate the device to
> get the new settings applied.  This prevents random network dropouts by not
> applying the settings until you are sure they are correct (and prevents race
> conditions where NM might half-read the file and apply a configuration before
> it's ready).

Ok then, thanks for explanation.

Note You need to log in before you can comment on or make changes to this bug.